Bug 1259631 - repoman - remove-old - AttributeError: 'Repo' object has no attribute 'delete_old'
repoman - remove-old - AttributeError: 'Repo' object has no attribute 'delete...
Status: NEW
Product: Repoman
Classification: Community
Component: Core (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Eyal Edri
Eyal Edri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 04:47 EDT by Sandro Bonazzola
Modified: 2016-06-26 19:52 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: External
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandro Bonazzola 2015-09-03 04:47:20 EDT
$ repoman  /tmp/3.6/ remove-old
INFO:repoman.common.stores.iso:Loading repo /tmp/3.6
INFO:repoman.common.stores.iso:Repo /tmp/3.6 loaded
INFO:repoman.common.stores.RPM:Loading repo /tmp/3.6
INFO:repoman.common.stores.RPM:Repo /tmp/3.6 loaded
INFO:repoman.cmd:
Traceback (most recent call last):
  File "/usr/bin/repoman", line 10, in <module>
    sys.exit(main())
  File "/usr/lib/python2.7/site-packages/repoman/cmd.py", line 174, in main
    repo.delete_old(keep=int(args.keep), noop=args.noop)
AttributeError: 'Repo' object has no attribute 'delete_old'
INFO:repoman.common.repo:Cleaning up temporary dir /tmp/tmpxGR_Nc

$ rpm -qv repoman
repoman-1.2.post10-1.fc22.noarch
Comment 1 Red Hat Bugzilla Rules Engine 2015-10-19 06:50:27 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Note You need to log in before you can comment on or make changes to this bug.